Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccount

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `ContractIdable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceAccount>`, `TreeNode<VoiceAccount>`

public class VoiceAccount extends AbtractVoiceAccount implements Node<VoiceAccount>, Cloneable
Базовый account, который добавляется на договор и представляет собой сущность, аналогичную поинту/правилу в модуле Phone и логин в модуле VoiceIP

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceAccount.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceAccount.Builder`
  `builder()`
  `static VoiceAccount.Builder`
  `builder(VoiceAccount voiceAccount)`
  `Object`
  `clone()`
  `void`
  `copyTo(VoiceAccount voiceAccount)`
  `int`
  `getAccessCode()`
  `List<VoiceAccount>`
  `getChildren()`
  `String`
  `getComment()`
  Получение комментария аккаунта.
  `int`
  `getContractObjectId()`
  `VoiceAccountState`
  `getDeviceState()`
  `int`
  `getLineCount()`
  `String`
  `getLogin()`
  Получение логина, привязанного на договор
  `long`
  `getNumber()`
  Получение номера телефона, привязанного к договору
  `int`
  `getParentId()`
  `String`
  `getPassword()`
  Получение пароля аккаунта.
  `List<VoiceAccountPort>`
  `getPortList()`
  `String`
  `getPorts()`
  `byte`
  `getSessionCountLimit()`
  `VoiceAccountStatus`
  `getStatus()`
  `void`
  `setAccessCode(int accessCode)`
  `void`
  `setChildren(List<VoiceAccount> children)`
  `void`
  `setComment(String comment)`
  Установка комментария для аккаунта
  `void`
  `setContractObjectId(int contractObjectId)`
  `void`
  `setDeviceState(VoiceAccountState deviceState)`
  `void`
  `setLineCount(int value)`
  `void`
  `setLogin(String login)`
  Установка логина
  `void`
  `setNumber(long number)`
  Установка номера телефона для договора
  `void`
  `setParentId(int parentId)`
  `void`
  `setPassword(String passwd)`
  Установка пароля для аккаунта.
  `void`
  `setPortList(List<VoiceAccountPort> portList)`
  `void`
  `setPorts(String ports)`
  `void`
  `setSessionCountLimit(byte sessionCountLimit)`
  `void`
  `setStatus(VoiceAccountStatus status)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount

  `copyTo, getContractComment, getContractId, getContractTitle, getDateFrom, getDateTo, getDeviceId, getObjectId, getTypeId, setContractComment, setContractId, setContractTitle, setDateFrom, setDateTo, setDeviceId, setObjectId, setTypeId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceAccount

    public VoiceAccount()

- ## Method Details

  - ### getComment

    public String getComment()
    Получение комментария аккаунта.
    Returns:
      комментарий аккаунта

  - ### setComment

    public void setComment(String comment)
    Установка комментария для аккаунта
    Parameters:
      `comment` - коммментарий

  - ### getNumber

    public long getNumber()
    Получение номера телефона, привязанного к договору
    Returns:
      строка с номером телефона

  - ### setNumber

    public void setNumber(long number)
    Установка номера телефона для договора
    Parameters:
      `number` - номер телефона

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### clone

    public Object clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`

  - ### getStatus

    public VoiceAccountStatus getStatus()

  - ### setStatus

    public void setStatus(VoiceAccountStatus status)

  - ### getDeviceState

    public VoiceAccountState getDeviceState()

  - ### setDeviceState

    public void setDeviceState(VoiceAccountState deviceState)

  - ### getAccessCode

    public int getAccessCode()

  - ### setAccessCode

    public void setAccessCode(int accessCode)

  - ### getChildren

    public List<VoiceAccount> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<VoiceAccount>`

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<VoiceAccount>`

  - ### setParentId

    public void setParentId(int parentId)

  - ### setChildren

    public void setChildren(List<VoiceAccount> children)
    Specified by:
      `setChildren` in interface `Node<VoiceAccount>`

  - ### getLogin

    public String getLogin()
    Получение логина, привязанного на договор
    Returns:
      логин

  - ### setLogin

    public void setLogin(String login)
    Установка логина
    Parameters:
      `login` - логин

  - ### getPassword

    public String getPassword()
    Получение пароля аккаунта.
    Returns:
      пароль.

  - ### setPassword

    public void setPassword(String passwd)
    Установка пароля для аккаунта.
    Parameters:
      `passwd` - пароль

  - ### getSessionCountLimit

    public byte getSessionCountLimit()

  - ### setSessionCountLimit

    public void setSessionCountLimit(byte sessionCountLimit)

  - ### getPorts

    public String getPorts()

  - ### setPorts

    public void setPorts(String ports)

  - ### getPortList

    public List<VoiceAccountPort> getPortList()

  - ### setPortList

    public void setPortList(List<VoiceAccountPort> portList)

  - ### getContractObjectId

    public int getContractObjectId()

  - ### setContractObjectId

    public void setContractObjectId(int contractObjectId)

  - ### getLineCount

    public int getLineCount()

  - ### setLineCount

    public void setLineCount(int value)

  - ### copyTo

    public void copyTo(VoiceAccount voiceAccount)

  - ### builder

    public static VoiceAccount.Builder builder()

  - ### builder

    public static VoiceAccount.Builder builder(VoiceAccount voiceAccount)